cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","enabled":true,"tables":[{"tableId":"string","disabledActions":["string"],"fieldRecordPermission":[{"fieldId":"string","disabledActions":["string"]}],"recordFilter":{},"enabledViewIds":["string"],"enabled":true}],"nodes":[{"nodeType":"workflow","nodeId":"string","enabled":true}]}'{
"id": "<string>",
"name": "<string>",
"baseId": "<string>",
"createdTime": "<string>",
"tables": [
{
"authorityMatrixRoleId": "<string>",
"tableId": "<string>",
"createdTime": "<string>",
"disabledActions": [
"<string>"
],
"enabledViewIds": [
"<string>"
],
"fieldRecordPermission": [
{
"fieldId": "<string>",
"disabledActions": [
"<string>"
]
}
],
"recordFilter": {},
"enabledTime": "<string>"
}
],
"description": "<string>",
"enabledTime": "<string>",
"nodes": [
{
"authorityMatrixRoleId": "<string>",
"nodeId": "<string>",
"id": "<string>",
"enabledTime": "<string>",
"createdTime": "<string>"
}
]
}authority-matrix
Post base authority matrix role
Add authority matrix role
POST
/
base
/
{baseId}
/
authority-matrix-role
cURL
curl --request POST \
--url https://app.teable.ai/api/base/%7BbaseId%7D/authority-matrix-role \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string","enabled":true,"tables":[{"tableId":"string","disabledActions":["string"],"fieldRecordPermission":[{"fieldId":"string","disabledActions":["string"]}],"recordFilter":{},"enabledViewIds":["string"],"enabled":true}],"nodes":[{"nodeType":"workflow","nodeId":"string","enabled":true}]}'{
"id": "<string>",
"name": "<string>",
"baseId": "<string>",
"createdTime": "<string>",
"tables": [
{
"authorityMatrixRoleId": "<string>",
"tableId": "<string>",
"createdTime": "<string>",
"disabledActions": [
"<string>"
],
"enabledViewIds": [
"<string>"
],
"fieldRecordPermission": [
{
"fieldId": "<string>",
"disabledActions": [
"<string>"
]
}
],
"recordFilter": {},
"enabledTime": "<string>"
}
],
"description": "<string>",
"enabledTime": "<string>",
"nodes": [
{
"authorityMatrixRoleId": "<string>",
"nodeId": "<string>",
"id": "<string>",
"enabledTime": "<string>",
"createdTime": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

